Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

error loading <rosparam> tag in px4_config.yaml #11662

Closed
senthilarul opened this issue Mar 15, 2019 · 14 comments
Assignees
Labels

Comments

@senthilarul
Copy link

@senthilarul senthilarul commented Mar 15, 2019

I tried running the px4 sitl on gazebo with mavros and encountered this issue:

error loading <rosparam> tag:
        file /home/catkin_ws/src/mavros/mavros/launch/px4_config.yaml contains invalid YAML:
could not determine a constructor for the tag '!degrees'
in "<string>", line 63, column 27:
angular_velocity_stdev: !degrees 0.02
^
XML is <rosparam command="load" file="$(arg config_yaml)"/>
The traceback for the exception was written to the log file

I have previous tried running the multi uav simulation and had no trouble with it. Recently I had to create a fresh installation on a new computer and I am having trouble running mavros and px4 sitl together. How should I rectify this issue?

Any help is appreciated. Thanks in advance.

@Dines97

This comment has been minimized.

Copy link

@Dines97 Dines97 commented Mar 20, 2019

I have the same issue with you, I also made a clean ubuntu installation. In addition, I can say that I initially used ubuntu 16.04.5 (Everything worked here) and was updated to 16.04.6 (And here it is not)

UPD: Well, I just deleted the exclamation mark in front of the degrees in the file indicated by the error. Everything is working. Does this exclamation mark mean something?

@AnnaMiG

This comment has been minimized.

Copy link

@AnnaMiG AnnaMiG commented Mar 21, 2019

I am having the same issue. Does anybody know why this is happening?

@tmarkmann

This comment has been minimized.

Copy link

@tmarkmann tmarkmann commented Mar 21, 2019

I solved the issue by downgrading PyYAML from 5.1 to 3.13 manually with "pip uninstall PyYAML" and "pip install PyYAML==3.13"

@mrivi

This comment has been minimized.

Copy link
Contributor

@mrivi mrivi commented Apr 2, 2019

I can confirm that downgrading PyYAML from 5.1 to 3.13 works

@julianoes

This comment has been minimized.

Copy link
Contributor

@julianoes julianoes commented Apr 3, 2019

I ran into this today as well. What is this exclamation mark for?

@bys1123

This comment has been minimized.

Copy link
Contributor

@bys1123 bys1123 commented Apr 3, 2019

image

I have the same issue.

@julianoes

This comment has been minimized.

Copy link
Contributor

@julianoes julianoes commented Apr 3, 2019

For now a workaround is this change:

diff --git a/mavros/launch/px4_config.yaml b/mavros/launch/px4_config.yaml
index d199f17..a3edcce 100644
--- a/mavros/launch/px4_config.yaml
+++ b/mavros/launch/px4_config.yaml
@@ -60,7 +60,7 @@ imu:
   frame_id: "base_link"
   # need find actual values
   linear_acceleration_stdev: 0.0003
-  angular_velocity_stdev: !degrees 0.02
+  angular_velocity_stdev: "!degrees 0.02"
   orientation_stdev: 1.0
   magnetic_stdev: 0.0
 
@@ -211,7 +211,7 @@ odometry:
 # px4flow
 px4flow:
   frame_id: "px4flow"
-  ranger_fov: !degrees 6.8  # 6.8 degreens at 5 meters, 31 degrees at 1 meter
+  ranger_fov: "!degrees 6.8"  # 6.8 degreens at 5 meters, 31 degrees at 1 meter
   ranger_min_range: 0.3     # meters
   ranger_max_range: 5.0     # meters

but I assume that changes behavior and is not the right fix.

@jsalvador4

This comment has been minimized.

Copy link

@jsalvador4 jsalvador4 commented Apr 9, 2019

I also have a similar error, is there any solution to fix in this case?
image

@julianoes

This comment has been minimized.

Copy link
Contributor

@julianoes julianoes commented Apr 9, 2019

@jsalvador4 see my answer above.

@jsalvador4

This comment has been minimized.

Copy link

@jsalvador4 jsalvador4 commented Apr 9, 2019

My error appears in another line, should I also edit the !degree lines as you noted?

@julianoes

This comment has been minimized.

Copy link
Contributor

@julianoes julianoes commented Apr 9, 2019

Check what's causing your issue and see what can fix it.

@w0rt4

This comment has been minimized.

Copy link

@w0rt4 w0rt4 commented Apr 9, 2019

mavlink/mavros@1e9d805#diff-1081d05fe29e8c7f51693863fe64cd9f
@jsalvador4 this should fix your issue (in my case i have exactly the same error and it helps)

@jsalvador4

This comment has been minimized.

Copy link

@jsalvador4 jsalvador4 commented Apr 10, 2019

@w0rt4 Thanks, worked fine!

mrivi added a commit to PX4/containers that referenced this issue Jun 26, 2019
@stale stale bot added the wontfix label Jul 9, 2019
@PX4 PX4 deleted a comment from stale bot Jul 9, 2019
@stale stale bot removed the wontfix label Jul 9, 2019
@julianoes julianoes added the ros label Jul 9, 2019
@stale

This comment has been minimized.

Copy link

@stale stale bot commented Oct 7, 2019

This issue has been automatically marked as stale because it has not had recent activity. Thank you for your contributions.

@stale stale bot added the stale label Oct 7, 2019
@julianoes julianoes closed this Oct 8, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
9 participants
You can’t perform that action at this time.